Skip to main content
GET
/
api
/
public
/
v1
/
hip4
/
outcomes
/
{outcome_id}
/
perp-position-context
Get API public v1 hip4 outcomes by outcome ID perp position context
curl --request GET \
  --url https://api.coinversa.ai/api/public/v1/hip4/outcomes/{outcome_id}/perp-position-context \
  --header 'X-API-Key: <api-key>'
{
  "outcomeId": 123,
  "sides": [
    {
      "alignedWallets": 123,
      "hedgedWallets": 123,
      "longWallets": 123,
      "netUnderlyingPosition": 123,
      "openPositionOverlapPct": 123,
      "outcomeSide": "<string>",
      "outcomeWallets": 123,
      "predictionNativeWallets": 123,
      "shortWallets": 123,
      "underlyingNotional": 123,
      "withOpenUnderlying": 123
    }
  ],
  "since": "<string>",
  "topWallets": [
    {
      "address": "<string>",
      "outcomeNotionalUsdh": 123,
      "outcomeSharesHeld": 123,
      "outcomeSide": "<string>",
      "signal": "<string>",
      "underlyingLeverage": 123,
      "underlyingNotional": 123,
      "underlyingSide": "<string>",
      "underlyingSize": 123,
      "underlyingUnrealizedPnl": 123
    }
  ],
  "underlying": "<string>",
  "$schema": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.coinversa.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

outcome_id
integer<int64>
required

Query Parameters

days
integer<int64>
default:14

Look-back window in days for outcome trades (default 14, max 60)

limit
integer<int64>
default:25

Max top wallets to return (1..100, default 25)

Response

OK

outcomeId
integer<int64>
required
sides
object[] | null
required
since
string
required
topWallets
object[] | null
required
underlying
string
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/PerpPositionContextBody.json"